/**
 * UTF8String
 * 
 * An ASN1 type for a UTF8String, held within a String
 * 
 */
package com.hurlant.util.der
{
	import flash.utils.ByteArray;
	
	public class UTF8String implements IAsn1Type
	{
		protected var type:uint;
		protected var len:uint;
		protected var str:String;
		
		public function UTF8String(type:uint, length:uint) {
			this.type = type;
			this.len = length;
		}
		
		public function getLength():uint
		{
			return len;
		}
		
		public function getType():uint
		{
			return type;
		}
		
		public function setString(s:String):void {
			str = s;
		}
		public function getString():String {
			return str;
		}
		
		public function toString():String {
			return DER.indent+str;
		}
		
		public function toDER():ByteArray {
			return null; // XXX not implemented
		}
	}
}